#ifndef MSP_GRAPHICS_COCOAPIXELFORMAT_H_
#define MSP_GRAPHICS_COCOAPIXELFORMAT_H_

#ifdef __cplusplus
extern "C" {
#endif

enum
{
	CPF_DOUBLEBUFFER = 5,
	CPF_ALPHA_SIZE = 11,
	CPF_DEPTH_SIZE = 12,
	CPF_STENCIL_SIZE = 13,
	CPF_SAMPLE_BUFFERS = 55,
	CPF_SAMPLES = 56
};

struct _CocoaPixelFormat;
typedef struct _CocoaPixelFormat CocoaPixelFormat;

CocoaPixelFormat *choose_pixel_format(unsigned *);
void destroy_pixel_format(CocoaPixelFormat *);

#ifdef __cplusplus
}
#endif

#endif
